Skip to main content
`Ctrl`+`K`

# SplineInterpolateFitter

class astropy.modeling.spline.SplineInterpolateFitter

  Bases: `_SplineFitter`

  Fit an interpolating spline.

  Methods Summary

  `__call__`(model, x, y, **kwargs) | Fit an interpolating spline to data.

  Methods Documentation

  __call__(model, x, y, **kwargs)

    Fit an interpolating spline to data.

    Parameters:
      model `Spline1D`

        The spline model to fit.

      x numpy:array_like

        The x data values.

      y numpy:array_like

        The y data values.

      **kwargs `python:dict`, optional

        Additional keyword arguments:

        - `weights` array-like, optional

            Weights for the data points.

        - `bbox` array-like, optional

            The bounding box limits as `[xmin, xmax]`. Default is `[None, None]`.

    Returns:
      fitted_model `Spline1D`

        A copy of the input model with fitted parameters.